package com.atlassian.bitbucket.scm.cache.internal;

import com.atlassian.bitbucket.repository.Repository;

public class CacheUtils {

    public static final String REFS_KEY = "refs|";

    private CacheUtils() {
        throw new IllegalStateException("CacheUtils is a singleton");
    }

    public static String getCacheRegionForRepository(Repository repository) {
        if (repository == null) {
            return null;
        }

        return String.valueOf(repository.getId());
    }
}
